<?php
if (version_compare(PHP_VERSION, '5.4') < 0) {
  echo 'EZ PayPal requires PHP version 5.4 or greater. You are using: ' . PHP_VERSION .
  "<br>Please ask your hosting provider to update your PHP.";
  exit();
}
error_reporting(E_ALL);

require_once 'header-functions.php';

require_once '../EzPayPal6.php';

if (empty($ezPayPal)) {
  $ezPayPal = new EzPayPal6();
  $GLOBALS['ezPayPal'] = $ezPayPal;
}
$ezPayPal->css = array('dropzone', 'summernote', 'dataTables.bootstrap');

if (menuShown()) {
  $tablesRequired = array('administrator', 'products', 'categories', 'sales', 'sale_details', 'product_meta', 'options_meta', 'templates');
  require_once 'lock.php';
  $shopButton = '<a id="shop" href="' .  EZ::ezppURL() . 'shop.php" target="_blank" data-content="Open your EZ PayPal Shop in a new window. The shop page will contain all the products you have defined so far." data-toggle="popover" data-trigger="hover" data-placement="left" title="Visit Your Shop"><span class="btn btn-info"><i class="fa fa-paypal"></i> Visit Shop</span></a>' . "\n";
}
else {
  $shopButton = "";
}

include_once('../debug.php');

renderHeader($ezPayPal, $shopButton);
?>
<div class="ch-container">
  <div class="row">
    <?php
    $width = 12;
    if (menuShown()) {
      $menu = array();

      $subMenu = array();
      $subMenu[] = array('text' => 'Products');
      $subMenu[] = array(
          'url' => 'products.php',
          'text' => 'All Your Products',
          'icon' => 'th-list'
      );
      $subMenu[] = array(
          'url' => 'products-batch.php',
          'text' => 'Batch Upload',
          'icon' => 'repeat',
          'class' => 'red'
      );
      $subMenu[] = array(
          'url' => 'subscriptions.php',
          'text' => 'Subscription Products',
          'icon' => 'retweet',
          'class' => 'red'
      );
      $subMenu[] = array(
          'url' => 'categories.php',
          'text' => 'Categories',
          'icon' => 'folder-open'
      );
      $menu[] = $subMenu;

      $subMenu = array();
      $subMenu[] = array('text' => 'Sales');
      $subMenu[] = array(
          'url' => 'sales.php',
          'text' => 'All Sales',
          'icon' => 'usd'
      );
      if (!empty(EZ::$options['sales_ipn'])) {
        $subMenu[] = array(
            'url' => 'sales-ipn.php',
            'text' => 'Post IPN',
            'icon' => 'console',
            'class' => 'red'
            );
      }
      $subMenu[] = array(
          'url' => 'stats.php',
          'text' => 'Statistics',
          'icon' => 'stats',
          'class' => 'red'
      );
      $menu[] = $subMenu;

      $subMenu = array();
      $subMenu[] = array('text' => 'Customers');
      $subMenu[] = array(
          'url' => 'buyers.php',
          'text' => 'Your Customers',
          'faIcon' => true,
          'icon' => 'users'
      );
      $subMenu[] = array(
          'url' => 'subscribers.php',
          'text' => 'Your Subscribers',
          'icon' => 'refresh',
          'spin' => true,
          'class' => 'red'
      );
      $subMenu[] = array(
          'url' => 'email.php',
          'text' => 'Email Tool',
          'faIcon' => true,
          'icon' => 'envelope',
          'class' => 'red'
      );
      $menu[] = $subMenu;

      $subMenu = array();
      $subMenu[] = array('text' => 'Templates &amp; Tools');
      $subMenu[] = array(
          'url' => 'template-download.php',
          'text' => 'Download Page',
          'icon' => 'download-alt',
          'class' => 'red'
      );
      $subMenu[] = array(
          'url' => 'template-email.php',
          'text' => 'Email Templates',
          'faIcon' => true,
          'icon' => 'envelope-o',
          'class' => 'red'
      );
      $subMenu[] = array(
          'url' => 'assets-upload.php',
          'text' => 'Upload Images',
          'icon' => 'camera',
          'class' => 'red'
      );
      $subMenu[] = array(
          'url' => 'db-tools.php',
          'text' => 'Import and Export',
          'icon' => 'import',
          'class' => 'red'
      );
      $menu[] = $subMenu;

      $subMenu = array();
      $subMenu[] = array('text' => 'Add-on Modules');
      $subMenu[] = array(
          'url' => 'ezAffiliates.php',
          'text' => 'EZ Affiliates',
          'faIcon' => true,
          'icon' => 'users',
          'class' => 'red'
      );
      $subMenu[] = array(
          'url' => 'ezSupport.php',
          'text' => 'Paid Support Module',
          'faIcon' => true,
          'icon' => 'support',
          'class' => 'red'
      );
      $subMenu[] = array(
          'url' => 'ezTextLinks.php',
          'text' => 'Text Links Management',
          'faIcon' => true,
          'icon' => 'link',
          'class' => 'red'
      );
      $menu[] = $subMenu;

      renderMenu($menu);
      if (!EZ::isTopMenu()) {
        $width = 10;
      }
    }
    ?>
    <div id="content" class="col-lg-<?php echo $width; ?> col-sm-<?php echo $width; ?>">
    <?php
    if (!menuShown()) {
      renderLogo($ezPayPal);
    }
    ?>
    <!-- content starts -->
